import { appTitle as title } from '../../css/app/title/';

export interface IAppAsideTitleProperties {
  /**
   * app aside title color
   * @type {string}
   */
  color?: string;
}

export class AppAsideTitle extends React.Component<IAppAsideTitleProperties, {}> {
  public render() {
    let _css = [title.title];
    _css.push(title[this.props.color] || '');
    return (
      this.props.children ? <div className={_css.join(' ')}>{this.props.children}</div> : null
    )
  }
}
